.
Page 1 of 2 12 LastLast
Results 1 to 15 of 20

Thread: Problem Downloading General Goods kuid:-25:1811

  1. #1
    Join Date
    Dec 2011
    Location
    United States of America, Florida and Illinois
    Posts
    779
     

    Default Problem Downloading General Goods kuid:-25:1811

    I am trying to import a route I created with TANE into TMR17. I made the CDP in TANE CM, then dragged it into the TMR17 CM and then downloaded all the missing assets. All went well except this one asset 'General Goods' <kuid:-25:1181>. The error says 'You don't have access to the content'. I was able to do the same process and import the route into TRS19 with no problems, so it seems weird to me. Any suggestion are much appreciated. Here is what it shows...


    .
    If it's not broke, don't fix it.


  2. #2

    Default

    It was payware but it is obsolete now. <kuid:-25:1177> or <kuid:-25:1187> are the latest replacements for it.

  3. #3
    Join Date
    Dec 2011
    Location
    United States of America, Florida and Illinois
    Posts
    779
     

    Default

    Quote Originally Posted by stagecoach View Post
    It was payware but it is obsolete now. <kuid:-25:1177> or <kuid:-25:1187> are the latest replacements for it.
    I show <kuid:-25:1177> is obsolete in TANE and <kuid:-25:1181> is the replacement for it, and <kuid:-25:1187> does not exist in TANE. So your answer makes no sense. Nowhere in the asset version in TANE does it show anywhere as payware. And like I said it loads into TRS19 with no problems.

    You also don't show TMR17 in your your timeline, which makes your answer even more irrelevant. Sorry.
    Last edited by Christopher824; January 16th, 2019 at 06:46 PM. Reason: spelling
    If it's not broke, don't fix it.


  4. #4

    Default

    That asset is downloadable in Tane. Make a CDP of it and import into TMR17. If you check in TRS19 you will find at some point it has become payware most likely it is in one of the DLC routes.

  5. #5
    Join Date
    Dec 2011
    Location
    United States of America, Florida and Illinois
    Posts
    779
     

    Default

    Quote Originally Posted by stagecoach View Post
    That asset is downloadable in Tane. Make a CDP of it and import into TMR17. If you check in TRS19 you will find at some point it has become payware most likely it is in one of the DLC routes.
    Okay, did as suggested, here is what happened (it failed) Now its faulty



    In TRS19 its been updated as a Base asset with the kuid you mentioned, which it is not according to TANE, and somewhere TMR17 got left behind... Its Not Payware, Not Faulty, just a good asset, I think I will report as a bug, or needs to go through the asset fixers department. They jumped over TMR17 with ths asset... Below is the TRS19 CM output, which has the -25:1187 version as Base (not payware). So that is how I am able to load into TRS19. Should be the same for TMR17. Sorry for being so irritated about this, just trying to make it work, and I am compulsive about minor details.

    If it's not broke, don't fix it.


  6. #6
    Join Date
    Oct 2011
    Location
    New Caledonia
    Posts
    3,193
     

    Default

    Quote Originally Posted by Christopher824 View Post
    So that is how I am able to load into TRS19. Should be the same for TMR17.
    Why would you think that? TRS19 did not exist when TMR17 was released.

    You haven't mentioned what asset your route is using for General Goods, but if the route works in T:ane then it's unlikely to be <kuid:-25:1187>. Go back to your T:ane installation. Look for the asset General Goods as a commodity. Find all the versions for that asset. Do the same in TMR17. Use the one that is common to both. If there isn't a common one then copy the asset that the route is actually using into TMR17. That way it won't attempt to download <kuid:-25:1187> when you install it.

  7. #7
    Join Date
    Dec 2011
    Location
    United States of America, Florida and Illinois
    Posts
    779
     

    Default

    Quote Originally Posted by SailorDan View Post
    Why would you think that? TRS19 did not exist when TMR17 was released.

    You haven't mentioned what asset your route is using for General Goods, but if the route works in T:ane then it's unlikely to be <kuid:-25:1187>. Go back to your T:ane installation. Look for the asset General Goods as a commodity. Find all the versions for that asset. Do the same in TMR17. Use the one that is common to both. If there isn't a common one then copy the asset that the route is actually using into TMR17. That way it won't attempt to download <kuid:-25:1187> when you install it.
    Here are the asset version of this one asset from all 3 installations;

    Asset Version History as kuid, Status

    TANE
    <kuid:-3:10013> Unknown Location, Obsolete
    <kuid:-25:1149> Base, Obsolete
    <kuid:-25:1177> Installed from DLS, Obsolete
    <kuid:-25:1178> - <Unknown Asset>
    *<kuid:-25:1181> Installed from DLS <-- This is the current version

    TMR17

    *<kuid:-3:10013> Base <-- This is the current version

    TRS19
    <kuid:-3:10013> - <Unknown Asset>
    <kuid:-25:1149> Available for download, Obsolete
    <kuid:-25:1177> Available for download, Obsolete
    *<kuid:-25:1181> Installed, Obsolete, Payware <-- This is showing as current version
    *<kuid:-25:1187> Base <-- This is also showing as current version


    <kuid:-3:10013> is the only common kuid. Also in TRS19 it uses the -25:1187, but keeps the -25:1181 showing as installed. Never seen 2 kuid's for the same asset at one time, usually once you set the newer version, the old one gets greyed out. As you can see there is no common kuid for this one asset, but it is in all 3 installations, and there is no way that I can find to get 1181 or 1187 into TMR17.

    My goal is to have one in TANE that can be then loaded into TMR17 and TRS19
    Last edited by Christopher824; January 17th, 2019 at 05:42 PM. Reason: spelling
    If it's not broke, don't fix it.


  8. #8

    Default

    Check the build number of the asset. It likely is 4.5, which is too high for TS17.
    If so, simply delete it. Be warned, it will keep downloading with other assets, so you might have to delete it again in the future.

  9. #9
    Join Date
    Oct 2011
    Location
    New Caledonia
    Posts
    3,193
     

    Default

    Quote Originally Posted by Christopher824 View Post
    <kuid:-3:10013> is the only common kuid
    … so you know that T:ane and TRS19 are 'aware' of <kuid:-3:10013> but don't know anything about it. This is because it is listed as obsolete by some other asset, even though it has never existed in those versions. In fact, it is <kuid:-25:1187> that obsoletes <kuid:-3:10013> in TRS19 and <kuid:-25:1181> that obsoletes it in T:aNE. So you would expect to be able to use <kuid:-25:1181> in T:ane, and that will be upversioned to <kuid:-25:1187> in TRS19. This is an example of a built-in T:aNE asset that should have been added to the DLS as downloadble when TRS19 was released but (like what happened when T:aNE was released) it was ignored because it was already obsolete.

    So you need an asset in TMR17 that will allow you to work with that route. The best candidate is probably <kuid:-25:1177> which you can download. One version of the General Goods asset has an error, so you might need to make minor changes, but IIRC and that is the one with the error, it was obvious and simple.

    For this particular purpose, you need to install <kuid:-25:1177> in T:ane, but make sure you add <kuid:-25:1181> to its obsolete table. An alternative might be to disable <kuid:-25:1181>, if that option exists. That ensures that when you save the route the asset does not get automatically upversioned.

    So when you save the route in T:ane the General Goods asset will be saved as <kuid:-25:1177>. A T:ane user will have this obsoleted by the built-in asset <kuid:-25:1181>. A TRS19 user will have it obsoleted by the base asset <kuid:-25:1187>. And a TMR17 user will see it as available for download.

  10. #10
    Join Date
    Dec 2011
    Location
    United States of America, Florida and Illinois
    Posts
    779
     

    Default

    Quote Originally Posted by SailorDan View Post
    So when you save the route in T:ane the General Goods asset will be saved as <kuid:-25:1177>. A T:ane user will have this obsoleted by the built-in asset <kuid:-25:1181>. A TRS19 user will have it obsoleted by the base asset <kuid:-25:1187>. And a TMR17 user will see it as available for download.
    The TRM17 seems to only see the <kuid:-3:10013> which is maybe base asset in TANE and TRS19. TRM17 seems to not want to load any of the other kuid's mentioned above no matter how I try to inject it.

    What is the -3 prefix. I see the -25 a lot and know its mostly built in stuff. Was the -3 something before TS12? I have tried every which way to get any of the later version numbers to load and they all show up as available for download, and when you try to do it you get the error 'You don't have access to the content', why don't I have access after it show available for download. ...

    If it's not broke, don't fix it.


  11. #11
    Join Date
    Oct 2011
    Location
    New Caledonia
    Posts
    3,193
     

    Default

    Quote Originally Posted by Christopher824 View Post
    I have tried every which way to get any of the later version numbers to load and they all show up as available for download, and when you try to do it you get the error 'You don't have access to the content', why don't I have access after it show available for download.
    That's the one you originally failed with. The comments I provided above are deigned to avoid the need to download this asset. Download <kuid:-25:1177> instead, and make the change I suggested.

  12. #12
    Join Date
    Dec 2011
    Location
    United States of America, Florida and Illinois
    Posts
    779
     

    Default

    Quote Originally Posted by oknotsen View Post
    Check the build number of the asset. It likely is 4.5, which is too high for TS17.
    If so, simply delete it. Be warned, it will keep downloading with other assets, so you might have to delete it again in the future.
    Here is the Config.txt for the TANE asset. It is build 4.5. What is the max version for TMR17 ???



    ind "product"
    kuid <kuid:-25:1181>
    username "General Goods"
    product-category <kuid:-3:10042>
    instance-type "instance"
    icon-texture "icon_texture.texture"
    mass 1400
    allows-mixing 1
    trainz-build 4.5
    product-texture "product.texture"
    category-era "1800s"
    category-region "00"

    obsolete-table
    {
    0 <kuid:-3:10013>
    1 <kuid:-25:1149>
    2 <kuid:-25:1177>
    3 <kuid:-25:1178>
    }
    If it's not broke, don't fix it.


  13. #13

    Default

    http://online.ts2009.com/mediaWiki/i...uild%22_number You will see that 17 is 4.4. You could try and change 4.5 to 4.4 in the config file.

  14. #14
    Join Date
    Dec 2011
    Location
    United States of America, Florida and Illinois
    Posts
    779
     

    Default

    Quote Originally Posted by stagecoach View Post
    http://online.ts2009.com/mediaWiki/i...uild%22_number You will see that 17 is 4.4. You could try and change 4.5 to 4.4 in the config file.
    Wow... from that table it looks like they orphaned that product. For what I am trying to do, it's not going to work. So my Route will be a TANE Route that can be used with TRS19, and not TMR17 apparently. That's okay, the versioning numbers makes it all make sense to me now.... Unless N3V makes a Service Pack for TMR17 to bring it up to 4.5 (I won't hold my breath)

    Thank you everyone for all the great information on this subject.

    I will concede that this thread is now answered..
    If it's not broke, don't fix it.


  15. #15
    Join Date
    Dec 2011
    Location
    United States of America, Florida and Illinois
    Posts
    779
     

    Default

    Quote Originally Posted by stagecoach View Post
    http://online.ts2009.com/mediaWiki/i...uild%22_number You will see that 17 is 4.4. You could try and change 4.5 to 4.4 in the config file.
    That would defeat the purpose of what I am trying to do. I want to build something in TANE and be able to load it in TMR17 and TRS19 without having to edit anything, just download missing dependencies.
    If it's not broke, don't fix it.


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •